OpenNMS API 1.2.9

## org.opennms.web.notification
Class Notification

    java.lang.Object
      org.opennms.web.notification.Notification

public class Notification
extends java.lang.Object

Notify Bean, containing data from the notifications table.

Field Summary
`int` `m_eventId`
`java.lang.String` `m_interfaceID`
`int` `m_nodeID`
`int` `m_notifyID`
`java.lang.String` `m_numMsg`
`java.lang.String` `m_responder`
`java.util.List` `m_sentTo`
`int` `m_serviceId`
`java.lang.String` `m_serviceName`
`long` `m_timeReply`
`long` `m_timeSent`
`java.lang.String` `m_txtMsg`

Constructor Summary
`Notification()` Default Constructor
`Notification(java.util.List sentToList, int notifyId, java.lang.String txtMsg, java.lang.String numMsg, long timeSent, long timeReply, java.lang.String responder, int nodeid, java.lang.String interfaceID, int svcId, java.lang.String svcName, int eventid)`

Method Summary
`int` `getEventId()`
`int` `getId()`
`java.lang.String` `getInterfaceId()`
`java.lang.String` `getIpAddress()`
`int` `getNodeId()`
`java.lang.String` `getNumericMessage()`
`java.lang.String` `getResponder()`
`java.util.List` `getSentTo()`
`int` `getServiceId()`
`java.lang.String` `getServiceName()`
`java.lang.String` `getTextMessage()`
`java.util.Date` `getTimeReplied()`
`java.util.Date` `getTimeSent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_sentTo

    public java.util.List m_sentTo

### m_txtMsg

    public java.lang.String m_txtMsg

### m_numMsg

    public java.lang.String m_numMsg

### m_notifyID

    public int m_notifyID

### m_timeSent

    public long m_timeSent

### m_timeReply

    public long m_timeReply

### m_responder

    public java.lang.String m_responder

### m_nodeID

    public int m_nodeID

### m_interfaceID

    public java.lang.String m_interfaceID

### m_serviceName

    public java.lang.String m_serviceName

### m_serviceId

    public int m_serviceId

### m_eventId

    public int m_eventId

Constructor Detail

### Notification

    public Notification()

  Default Constructor

### Notification

    public Notification(java.util.List sentToList,
                        int notifyId,
                        java.lang.String txtMsg,
                        java.lang.String numMsg,
                        long timeSent,
                        long timeReply,
                        java.lang.String responder,
                        int nodeid,
                        java.lang.String interfaceID,
                        int svcId,
                        java.lang.String svcName,
                        int eventid)

Method Detail

### getSentTo

    public java.util.List getSentTo()

### getTextMessage

    public java.lang.String getTextMessage()

### getNumericMessage

    public java.lang.String getNumericMessage()

### getId

    public int getId()

### getTimeSent

    public java.util.Date getTimeSent()

### getTimeReplied

    public java.util.Date getTimeReplied()

### getResponder

    public java.lang.String getResponder()

### getNodeId

    public int getNodeId()

### getInterfaceId

    public java.lang.String getInterfaceId()

### getIpAddress

    public java.lang.String getIpAddress()

### getServiceName

    public java.lang.String getServiceName()

### getServiceId

    public int getServiceId()

### getEventId

    public int getEventId()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.